Last Comment Bug 537967 - Moving FILE_ILLEGAL_CHARACTERS from nsCRT.h to nsCRTGlue.h for frozen linkages
: Moving FILE_ILLEGAL_CHARACTERS from nsCRT.h to nsCRTGlue.h for frozen linkages
Status: RESOLVED FIXED
: verified1.9.1, verified1.9.2
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: mozilla1.9.3a3
Assigned To: Uli Link (:ul-mcamafia)
:
Mentors:
Depends on:
Blocks: 525463
  Show dependency treegraph
 
Reported: 2010-01-05 10:41 PST by Uli Link (:ul-mcamafia)
Modified: 2010-04-25 07:32 PDT (History)
6 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.2-fixed
.9-fixed


Attachments
Moved FILE_ILLEGAL_CHARACTERS to nsCRTGlue.h (3.67 KB, patch)
2010-02-07 14:57 PST, Uli Link (:ul-mcamafia)
benjamin: review+
shaver: superreview+
mbeltzner: approval1.9.2.2+
mbeltzner: approval1.9.1.9+
Details | Diff | Splinter Review

Description Uli Link (:ul-mcamafia) 2010-01-05 10:41:06 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.1.6) Gecko/20091206 SeaMonkey/2.0.1
Build Identifier: 

need to include nsCRT.h in mailnews/base/public/msgCore.h to circumvent redefinition. This macros need to be uniquely accessible even after frozen linkage.

Reproducible: Always

Actual Results:  
Macro available through inclusion of "nsCRT.h"

Expected Results:  
single source to be included. "nsCRTGlue.h"

bug 525463
Comment 1 Uli Link (:ul-mcamafia) 2010-02-07 14:57:35 PST
Created attachment 425723 [details] [diff] [review]
Moved FILE_ILLEGAL_CHARACTERS to nsCRTGlue.h
Comment 2 Uli Link (:ul-mcamafia) 2010-02-08 04:18:40 PST
Any other candidates to be included in this move for frozen linkage?
Comment 3 Uli Link (:ul-mcamafia) 2010-02-08 12:27:26 PST
See also:

https://bugzilla.mozilla.org/show_bug.cgi?id=525463#c6
Comment 4 Jonas Sicking (:sicking) PTO Until July 5th 2010-02-10 15:26:10 PST
Comment on attachment 425723 [details] [diff] [review]
Moved FILE_ILLEGAL_CHARACTERS to nsCRTGlue.h

I really don't know enough about how we want to structure these header files to know where the right place to put this in is.
Comment 5 David :Bienvenu 2010-02-25 17:21:16 PST
pinging for review, since it's blocking a mailnews review...
Comment 6 Uli Link (:ul-mcamafia) 2010-03-04 12:07:26 PST
This patch will be needed on branches 1.9.1 and 1.9.2 too after baking on trunk
Comment 7 Mike Shaver (:shaver -- probably not reading bugmail closely) 2010-03-05 14:54:10 PST
Comment on attachment 425723 [details] [diff] [review]
Moved FILE_ILLEGAL_CHARACTERS to nsCRTGlue.h

sure; rs=shaver
Comment 8 Frank Wein [:mcsmurf] 2010-03-07 06:17:36 PST
Checked in: http://hg.mozilla.org/mozilla-central/rev/1dcea1cb129d
Comment 9 Mike Beltzner [:beltzner, not reading bugmail] 2010-03-08 10:27:36 PST
Comment on attachment 425723 [details] [diff] [review]
Moved FILE_ILLEGAL_CHARACTERS to nsCRTGlue.h

a=beltzner for branches, someone please send 'er over.

Note You need to log in before you can comment on or make changes to this bug.